Download OpenAPI specification:
Supports Asset Management API tokens and Spark session auth via Authorization: Bearer spkmd_
This operation changes the asset type of the asset. The new asset type must be compatible with the current asset type. For example, a backend user can be morphed to a system user asset type, but not to a file asset.
| assetId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
| asset_type_code required | string The asset's type code to morph to. The new asset type must be compatible with the current asset type. |
| use_custom_morphing | boolean Default: false If set to true, use the custom morphing defined for the asset type. Applicable to following asset types morphing only: |
| source_page_content_asset_id | integer Asset ID of the 'page_content' asset to copy components from. Applicable only when when 'use_custom_morphing' is enabled and, source and target asset types are 'page_standard' and 'page_content' respectively. |
| clean_up | boolean Default: false Clean up the lingering dependants resulting from 'page_content' to 'page_content' morphing. Applicable only when when 'use_custom_morphing' is enabled and, source and target asset types are 'page_content' asset types. |
{- "asset_type_code": "string",
- "use_custom_morphing": false,
- "source_page_content_asset_id": 0,
- "clean_up": false
}this operation returns a list of links the asset has, by default its just children links, parents can be specified with a parameter
| assetId required | string |
| direction | string Enum: "down" "up" "down"(Default) Searches for a linked asset below the passed assetid in the asset tree. "up" searches for linked assets above. |
Limit the link search to only return links to assets of the given type code and its type descendants. | |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
[- {
- "link_id": "string",
- "major_id": "string",
- "minor_id": "string",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}
]get an asset by id
| assetId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
{- "id": "string",
- "external_id": "string",
- "status": "archived",
- "type": "design_area_menu_normal",
- "version": "string",
- "created": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "updated": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "status_changed": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "published": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "attributes": {
- "show_subs": "on_current",
- "ignore_permissions": true,
- "wanted_asset_types": [
- "asset_management_api_manager"
], - "level": 0,
- "prefix_with_divider": true,
- "cache": true,
- "self_link": true,
- "cache_globally": true,
- "unwanted_asset_types": [
- "asset_management_api_manager"
], - "suffix_with_divider": true,
- "print": true,
- "settings": {
- "property1": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}, - "property2": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}
}, - "root_node": "string",
- "parameter_map": {
- "level": [
- {
- "get_var": "string"
}
], - "root_node": [
- {
- "get_var": "string"
}
]
}, - "name": "string"
}, - "metadata_schemas": [
- {
- "id": "string",
- "granted": true,
- "cascades": true
}
], - "metadata_values": {
- "property1": {
- "type": "string",
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}, - "property2": {
- "type": "string",
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}
}, - "paint_layouts": {
- "asset_level": "string",
- "asset_level_override": "string",
- "url_based": {
- "property1": {
- "regular": "string",
- "override": "string"
}, - "property2": {
- "regular": "string",
- "override": "string"
}
}, - "user_defined": {
- "property1": {
- "property1": "string",
- "property2": "string"
}, - "property2": {
- "property1": "string",
- "property2": "string"
}
}
}, - "web_paths": [
- "string"
], - "urls": [
- {
- "path": "string",
- "schemes": [
- "http"
], - "base_context": "string",
- "auth_redirect_url": "string"
}
]
}Delete an asset by id. You can only delete an asset if it does not orphan any other assets
| assetId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
update an asset
| assetId required | string |
| contextid | integer >= 0 The context id to perform the request in. When updating an asset, the contextualised data for the updated metadata or attributes will be created if needed. Must be an existing context defined in the system. |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
| external_id | string |
| type | string |
object | |
Array of objects or null | |
object or null | |
object | |
| web_paths | Array of strings |
{- "external_id": "string",
- "type": "string",
- "attributes": {
- "show_subs": "on_current",
- "ignore_permissions": true,
- "wanted_asset_types": [
- "asset_management_api_manager"
], - "level": 0,
- "prefix_with_divider": true,
- "cache": true,
- "self_link": true,
- "cache_globally": true,
- "unwanted_asset_types": [
- "asset_management_api_manager"
], - "suffix_with_divider": true,
- "print": true,
- "settings": {
- "property1": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}, - "property2": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}
}, - "root_node": "string",
- "parameter_map": {
- "level": [
- {
- "get_var": "string"
}
], - "root_node": [
- {
- "get_var": "string"
}
]
}, - "name": "string"
}, - "metadata_schemas": [
- {
- "id": "string",
- "granted": true,
- "cascades": true
}
], - "metadata_values": {
- "property1": {
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}, - "property2": {
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}
}, - "paint_layouts": {
- "asset_level": "string",
- "asset_level_override": "string",
- "url_based": {
- "property1": {
- "regular": "string",
- "override": "string"
}, - "property2": {
- "regular": "string",
- "override": "string"
}
}, - "user_defined": {
- "property1": {
- "property1": "string",
- "property2": "string"
}, - "property2": {
- "property1": "string",
- "property2": "string"
}
}
}, - "web_paths": [
- "string"
]
}{- "id": "string",
- "external_id": "string",
- "status": "archived",
- "type": "design_area_menu_normal",
- "version": "string",
- "created": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "updated": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "status_changed": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "published": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "attributes": {
- "show_subs": "on_current",
- "ignore_permissions": true,
- "wanted_asset_types": [
- "asset_management_api_manager"
], - "level": 0,
- "prefix_with_divider": true,
- "cache": true,
- "self_link": true,
- "cache_globally": true,
- "unwanted_asset_types": [
- "asset_management_api_manager"
], - "suffix_with_divider": true,
- "print": true,
- "settings": {
- "property1": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}, - "property2": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}
}, - "root_node": "string",
- "parameter_map": {
- "level": [
- {
- "get_var": "string"
}
], - "root_node": [
- {
- "get_var": "string"
}
]
}, - "name": "string"
}, - "metadata_schemas": [
- {
- "id": "string",
- "granted": true,
- "cascades": true
}
], - "metadata_values": {
- "property1": {
- "type": "string",
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}, - "property2": {
- "type": "string",
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}
}, - "paint_layouts": {
- "asset_level": "string",
- "asset_level_override": "string",
- "url_based": {
- "property1": {
- "regular": "string",
- "override": "string"
}, - "property2": {
- "regular": "string",
- "override": "string"
}
}, - "user_defined": {
- "property1": {
- "property1": "string",
- "property2": "string"
}, - "property2": {
- "property1": "string",
- "property2": "string"
}
}
}, - "web_paths": [
- "string"
], - "urls": [
- {
- "path": "string",
- "schemes": [
- "http"
], - "base_context": "string",
- "auth_redirect_url": "string"
}
]
}| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
required | object |
required | object (AssetCreateParentLink) |
{- "asset": {
- "type": "string",
- "external_id": "string",
- "attributes": {
- "show_subs": "on_current",
- "ignore_permissions": true,
- "wanted_asset_types": [
- "asset_management_api_manager"
], - "level": 0,
- "prefix_with_divider": true,
- "cache": true,
- "self_link": true,
- "cache_globally": true,
- "unwanted_asset_types": [
- "asset_management_api_manager"
], - "suffix_with_divider": true,
- "print": true,
- "settings": {
- "property1": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}, - "property2": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}
}, - "root_node": "string",
- "parameter_map": {
- "level": [
- {
- "get_var": "string"
}
], - "root_node": [
- {
- "get_var": "string"
}
]
}, - "name": "string"
}, - "metadata_schemas": [
- {
- "id": "string",
- "granted": true,
- "cascades": true
}
], - "metadata_values": {
- "property1": {
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}, - "property2": {
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}
}, - "paint_layouts": {
- "asset_level": "string",
- "asset_level_override": "string",
- "url_based": {
- "property1": {
- "regular": "string",
- "override": "string"
}, - "property2": {
- "regular": "string",
- "override": "string"
}
}, - "user_defined": {
- "property1": {
- "property1": "string",
- "property2": "string"
}, - "property2": {
- "property1": "string",
- "property2": "string"
}
}
}, - "web_paths": [
- "string"
]
}, - "parent": {
- "asset_id": "string",
- "link_type": "menu",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true
}
}{- "id": "string",
- "external_id": "string",
- "status": "archived",
- "type": "design_area_menu_normal",
- "version": "string",
- "created": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "updated": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "status_changed": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "published": {
- "date_time_unix": 0,
- "user_id": "string"
}, - "attributes": {
- "show_subs": "on_current",
- "ignore_permissions": true,
- "wanted_asset_types": [
- "asset_management_api_manager"
], - "level": 0,
- "prefix_with_divider": true,
- "cache": true,
- "self_link": true,
- "cache_globally": true,
- "unwanted_asset_types": [
- "asset_management_api_manager"
], - "suffix_with_divider": true,
- "print": true,
- "settings": {
- "property1": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}, - "property2": {
- "normal": "string",
- "current": "string",
- "hierarchy": "string",
- "has_children": "string"
}
}, - "root_node": "string",
- "parameter_map": {
- "level": [
- {
- "get_var": "string"
}
], - "root_node": [
- {
- "get_var": "string"
}
]
}, - "name": "string"
}, - "metadata_schemas": [
- {
- "id": "string",
- "granted": true,
- "cascades": true
}
], - "metadata_values": {
- "property1": {
- "type": "string",
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}, - "property2": {
- "type": "string",
- "value": "string",
- "value_components": {
- "property1": "string",
- "property2": "string"
}
}
}, - "paint_layouts": {
- "asset_level": "string",
- "asset_level_override": "string",
- "url_based": {
- "property1": {
- "regular": "string",
- "override": "string"
}, - "property2": {
- "regular": "string",
- "override": "string"
}
}, - "user_defined": {
- "property1": {
- "property1": "string",
- "property2": "string"
}, - "property2": {
- "property1": "string",
- "property2": "string"
}
}
}, - "web_paths": [
- "string"
], - "urls": [
- {
- "path": "string",
- "schemes": [
- "http"
], - "base_context": "string",
- "auth_redirect_url": "string"
}
]
}This operation changes the asset status
| assetId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
| status required | string Enum: "archived" "under_construction" "pending_approval" "approved_to_go_live" "live" "up_for_review" "safe_editing" "safe_editing_pending_approval" "safe_edit_approved_to_go_live" |
| published_date_time_unix | integer Set the asset published date. Only applicable with 'live' status. |
{- "status": "archived",
- "published_date_time_unix": 0
}this operation returns a single asset link by id
| linkId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
{- "link_id": "string",
- "major_id": "string",
- "minor_id": "string",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}Remove an asset link by link id. You can only remove links that wont orphan the asset.
| linkId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
| linkId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
| value | string |
| sort_order | integer |
| is_dependent | boolean |
| is_exclusive | boolean |
| link_type | string Enum: "menu" "hidden" "invisible" "reference" |
{- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}{- "link_id": "string",
- "major_id": "string",
- "minor_id": "string",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
| major_id required | string non-empty |
| minor_id required | string non-empty |
| value required | string |
| sort_order required | integer |
| is_dependent required | boolean |
| is_exclusive required | boolean |
| link_type required | string Enum: "menu" "hidden" "invisible" "reference" |
{- "major_id": "string",
- "minor_id": "string",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}{- "link_id": "string",
- "major_id": "string",
- "minor_id": "string",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}This operation returns the old deleted and newly created links
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
| from_asset_id required | string non-empty |
required | object (AssetLinkWithoutLinkId) |
{- "from_asset_id": "string",
- "new_link": {
- "major_id": "string",
- "minor_id": "string",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}
}{- "old_link": {
- "link_id": "string",
- "major_id": "string",
- "minor_id": "string",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}, - "new_link": {
- "link_id": "string",
- "major_id": "string",
- "minor_id": "string",
- "value": "string",
- "sort_order": 0,
- "is_dependent": true,
- "is_exclusive": true,
- "link_type": "menu"
}
}Fetches all translatable text content from a DXP page content asset. This proxies to the CMP translation service.
| assetId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
{- "assetId": "string",
- "contentId": "string",
- "totalCount": 0,
- "elements": [
- { }
]
}Creates a new translated page content asset based on the source asset. Proxies translation rebuild to CMP and creates a new Matrix asset for the translated content.
| assetId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |
| targetLanguage required | string |
required | Array of objects |
{- "targetLanguage": "string",
- "translations": [
- { }
]
}{- "assetId": "string",
- "success": true,
- "appliedCount": 0,
- "failedCount": 0,
- "failures": [
- { }
], - "dxpPageContent": { }
}Process Design asset's parse file and regenerate the design content file
| assetId required | string |
| disable-triggers | string Default: "0" Enum: "0" "1" If set to 1, the Matrix trigger manager is disabled for any operations in this request. Otherwise, triggers are active as normal. |